package pathtracing;

import optics.light.Color;
import shading.Material;

public class BSDF implements Material {

    private Color reflectance;
    private Color emission;

    private double roughness;

    public BSDF(Color reflectance, Color emission, double roughness) {
        this.reflectance = reflectance;
        this.emission = emission;
        this.roughness = roughness;
    }

    public Color getReflectance() {
        return reflectance;
    }

    public Color getEmission() {
        return emission;
    }

    public double getRoughness() {
        return roughness;
    }
}
